<!-- ~ Copyright (c) 2018-2019 Blacknet Team ~ ~ Licensed under the Jelurida Public License version 1.1 ~ for the Blacknet Public Blockchain Platform (the "License"); ~ you may not use this file except in compliance with the License. ~ See the LICENSE.txt file at the top-level directory of this distribution. -->

<!DOCTYPE html>
<html lang="en" ng-app="blacknet">
  <head>
    <meta charset="utf-8">
    <title>Blacknet Explorer</title>
    <link rel="shortcut icon" href="/favicon.ico">
    <link rel="stylesheet" href="/css/normalize.css">
    <link rel="stylesheet" href="/css/mobile.css"/>
    <link rel="stylesheet" href="/css/index.css">
    <script >if (typeof module === 'object') {window.module = module; module = undefined;};</script>
    <script type="text/javascript" src="/js/angular.min.js"></script>
    <script type="text/javascript" src="/js/bignumber.min.js"></script>
    <script type="text/javascript" src="/js/numeral.min.js"></script>
    <script type="text/javascript" src="/js/base64.min.js"></script>
    <script type="text/javascript" src="/js/resources.js"></script>
    <script type="text/javascript" src="/js/index.js"></script>
    <script>
      Supply = {{overview.supply}}
    </script>
    {% if i18n.locale == 'ja' %}
      <style>
        .nav a {
          font-size: 12px;
        }
      </style>
    {% endif %}
    <meta name="applicable-device" content="mobile">
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport" content="initial-scale=1, width=device-width, maximum-scale=1, user-scalable=no">
    <meta name="description" property="og:description" content="Blacknet Explorer. Blacknet is public block chain with proof-of-stake consensus.">
  </head>
  <body ng-controller="bodyController">
    <div class="dialog account">
      <div class="header"></div>
      <div class="body" style="margin-top: 300px;">
        {% include "spinner.njk" %}
      </div>
    </div>
    <header id="chead">
      <div class="head_wrap">
        <div class="logo">
          <a href="/">
            <span data-i18n="BLNScan">BLNScan</span></a>
        </div>
        <div class="touch-menu">
          <button ng-click="toggleNav()">{% include 'media/menusvg.njk'%}</button>
        </div>
        <div class="nav">
          <a href="/recent_blocks" class="{% if recent %}active{% endif %}">
            <span>{{i18n.Blocks}}</span></a>
          <a href="/recent_transactions" class="{% if recent_transactions %}active{% endif %}">
            <span>{{i18n.Transactions}}</span></a>
           <a href="https://statuspage.blnscan.io/49616-BLNServices" target="_blank">
            <span>Status</span></a>
          <a href="/top_accounts" class="{% if top_accounts %}active{% endif %}">
            <span>{{i18n.TopAccounts}}</span></a>
          <a href="/network" class="{% if network %}active{% endif %}">
            <span>{{i18n.Network}}</span></a>
          <a href="https://www.blnpool.io">{{i18n.BLNPool}}</a>
        </div>
        <div class="network">
          <p>
            <span>{{i18n.Supply}}</span>:<span class="supply strong">{{overview.supply}}</span>
            <span>{{i18n.Conn}}</span>:<span class="connections strong">{{overview.outgoing + overview.incoming}}</span></p>
        </div>
      </div>
      <div class="nav-form">
        <form method="get" action="/search">
          <input class="input-sm" autocomplete="off" type="search" placeholder="Search for block, transaction or address" aria-label="Search" name="q">
        </form>
      </div>
    </header>
    <div class='message' style="padding: 10px 0;text-align: center;">
        {# <a href="/forkV2" style="color:#F75535">Blacknet V2 Hard Fork Success</a> #}
      </div>
    <div class="content" id="content">
      
      <div class="under">
        {% include "spinner.njk" %}
      </div>
      <div class="wrap" ng-cloak="ng-cloak">
        {# <div style="margin: 0 auto;">
          <a href="https://blacknet.ninja/wallet.html" style="color:#F75535">New Mobile Wallet Released!!!</a>
       </div> #}
        <form id="search-form" class="search-form" action="/search" method="get">
          <input id="keyword" type="text" name="q" placeholder="Search for block, transaction or address" autocomplete="off" value="">
        </form>

        {% block content %}{% endblock %}
      </div>
    </div>

    {% block carousel %}{% endblock %}

    {% block video %}{% endblock %}

    {% block statistic %}{% endblock %}

    <footer>
      <a href="/about">About</a>
      <a href="/api">API</a>
      <a href="https://gitlab.com/blacknet-ninja/blacknet-explorer">Source Code</a>
      <a href="https://blacknet.ninja/">Blacknet</a>
    </footer>
  </body>

</html>
